package com.lovecoding.rabbitmq.consumer;

import org.springframework.amqp.rabbit.annotation.RabbitListener;
import org.springframework.stereotype.Component;

@Component
public class ConsumerTemplate {

    @RabbitListener(queues = "testQueue")
    public void t1( String msg ){
        System.out.println( "T1 消费了消息： " + msg );
    }

    @RabbitListener(queues = "testQueue")
    public void t2( String msg ){
        System.out.println( "T2 消费了消息： " + msg );
    }

}
